/**
 *  Learnville Street Room
 *  @author Drakkos
 *  @started 08/10/2008
 *
 *  If you change this file, please also update it in LPC for Dummies.
 *
 */

#include "path.h"

inherit "/std/room/outside";

void setup() {
  set_short ("northwest corner of the marketplace");
  add_property ("determinate", "the ");
   
  set_long ("This is a skeleton room.\n");

  set_light (100);

  add_exit ("south", ROOMS + "market_southwest", "path");
  add_exit ("east", ROOMS + "market_northeast", "path");
  add_exit ("southeast", ROOMS + "market_southeast", "path");

  modify_exit ("southeast", ({"obvious", 0}));

  set_linker ( ({ 
    ROOMS + "market_northeast",
    ROOMS + "market_southwest",
    ROOMS + "market_southeast",
  }) );

}

void reset() {
    ::reset();
    call_out ("after_reset", 3);
}    
     
void after_reset() {
   object beefy;
 
   beefy = load_object (CHARS + "captain_beefy");

    if (beefy && environment (beefy) != this_object()) {
        beefy->move (this_object(), "$N appear$s with a pop.", 
            "$N disappear$s with a pop.");
    }
}  