/**
 *  Learnville Access Point
 *  @author Drakkos
 *  @started 15/10/2008 
 *
 */
 
#include <learning.h>

inherit "/std/room/basic_room";

void setup() {
  string chap;
  set_short ("Learnville Access Point");
  add_property ("determinate", "");
  
  set_long ("This is the access point to all the different versions of "
    "Learnville covered in LPC for Dummies.  It can be seen as it is "
    "supposed to stand at the end of each of the chapters.\n");
    
  add_item ("learnville", "Oh my god, they are everywhere!");
  
  for (int i = 2; i < 14; i++) {
    if (i < 10) {
      chap = "0" + i;
    }
    else {
      chap = "" + i;
    }
    add_exit ("chapter" + chap, LEARNVILLE + "chapter_" + chap + "/rooms/street_01", "path");
  }
  
  add_exit ("main foyer", LEARNING + "main", "path");
  
}